﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Globalization;
using System.Threading;
using System.IO;
using C1.WPF.Pdf;
using C1.WPF.C1Chart;
using C1.WPF.C1Chart.Extended;
using System.IO.IsolatedStorage;

namespace WpfApplication1
{
    
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            TranslateTransform f = new TranslateTransform();
            f.X = (this.c1Chart1.ActualWidth - this.chartTitle.ActualWidth) / 2;
            this.chartTitle.RenderTransform = f;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Window1 printWindow = new Window1(this.c1Chart1);
            printWindow.Show();
        }        
    }

    //[ValueConversion(typeof(double), typeof(double))]
    //public class TitileAlignmentConvert : IValueConverter
    //{
    //    public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
    //    {
    //        double width = 0;
    //        if (double.TryParse(value.ToString(), out width))
    //        {
    //            width = width / 2;
    //        }
    //        return width;
    //    }

    //    public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
    //    {
    //        return value;
    //    }
    //}

}
